Plasma 5.18 Contest for wallpapers, promotional video, UI mockups, etc
Open, Needs TriagePublic

Description

It was proposed to create a general 5.18 competition with prizes on various categories, such as:

  1. Best desktop wallpaper
  2. Best promotional video of KDE/Plasma/Apps/?
  3. Best UI mock-up (maybe relating it directly to a goal, e.g.: best consistent mock-up of KDE Apps?)
  4. Anything else? Most usability fixes? Most wayland bugs fixed?

This could be especially important since 5.18 will be a LTS.

What would be needed:

  • Decide the categories
  • Best wallpaper
  • Best promotional video for
    • Plasma
    • Applications
  • Find out if we can have an incentive (prize) for winner (Board)
  • Decide on who will judge
  • VDG for wallpaper
  • Promo + Kdenlive for videos
    • Paul
    • Xyquadrat
    • frdbr
    • Ivana (proposed)
  • Decide where the competition should be held (forum?)
  • Set an ending page
  • Create a wiki page with all the rules
  • Launch social media campaign
  • Continue campaign until end of contest
niccolove added a parent task: T11939: Plasma 5.18.
niccolove updated the task description. (Show Details)Nov 14 2019, 8:26 AM
ndavis added a subscriber: ndavis.Nov 14 2019, 9:53 AM

I'm not keen on the idea of doing a UI mockup contest. It's not like a wallpaper contest where we just use whatever wallpaper we decide is best. We can't actually commit to using any mockups from the contest because plans can change.

ognarb added a subscriber: ognarb.Nov 14 2019, 3:23 PM

Didn't we get an almost ready wallpaper for 5.17?

I like the idea of a wallpaper contest. That worked really well last time IMO.

Didn't we get an almost ready wallpaper for 5.17?

That's true, but there were many requested changes and I did not see any update. I think that creating a wallpaper contest could also provide a potentially better wallpaper, since there's more to choose from. Of course, if the almost ready wallpaper gets ready, it could compete as well.

I'm not keen on the idea of doing a UI mockup contest. It's not like a wallpaper contest where we just use whatever wallpaper we decide is best. We can't actually commit to using any mockups from the contest because plans can change.

I agree. So, we're left with:

  • Best desktop/mobile wallpaper
  • Best Plasma/Apps promotional video (this could be two categories, Plasma and Apps)

Anything else?

paulb added a subscriber: paulb.EditedNov 23 2019, 2:33 PM
  • Decide the categories

I agree that wallpaper and video are the best. Not sure about the others.

  • Find out if we can have an incentive (prize) for winner (Board)

Maybe we could get another provider (Tuxedo? Pine? Someone else?) to provide us with a gadget

  • Decide on who will judge

VGA for wallpaper. Kdenlive people for videos? I would like to be on the video thing too, as it can be used to be as a Promo tool

  • Decide the categories

I agree that wallpaper and video are the best. Not sure about the others.

Since I don't see any other option, I think wallpaper + promotional video are the options to go. I also think that it would be nice to have two different contests for Plasma and Apps promotional videos: that would help with the KDE is all about the apps goal. So:

  • Best wallpaper
  • Best Plasma promotional video
  • Best KDE Apps promotional video
  • Find out if we can have an incentive (prize) for winner (Board)

Maybe we could get another provider (Tuxedo? Pine? Someone else?) to provide us with a gadget

True. A Pinebook Pro or Pinephone would probably be a great option to go with. Alternatively, there's also Manjaro doing hardware with Plasma.

  • Decide on who will judge

VGA for wallpaper. Kdenlive people for videos? I would like to be on the video thing too, as it can be used to be as a Promo tool

VDG for the wallpaper for sure, but last time we preferred to have a jury rather than letting everybody in the VDG decide, for multiple reasons (VDG members wanting to partecipate, anybody being able to join VDG, etc), so maybe we should do something similiar this time as well. The video should definitively be judget by promo people as well, yeah.

GB_2 added a subscriber: GB_2.Nov 26 2019, 10:37 AM

What about something like most Goal: Consistency contributions from new contributors?

In T12029#211566, @GB_2 wrote:

What about something like most Goal: Consistency contributions from new contributors?

Although I'd love to do that, how can me objectively measure Consistency contributions to choose a winner?

paulb added a comment.Nov 28 2019, 4:22 PM
In T12029#211566, @GB_2 wrote:

What about something like most Goal: Consistency contributions from new contributors?

Although I'd love to do that, how can me objectively measure Consistency contributions to choose a winner?

Must agree: too hard to judge. I think we should probably think of a separate thing for that... Maybe an Akademy award for the person or persons that most contribute to the goals?

paulb updated the task description. (Show Details)Nov 28 2019, 6:55 PM
paulb updated the task description. (Show Details)
paulb updated the task description. (Show Details)
rikmills added a comment.EditedDec 8 2019, 7:39 PM

Didn't we get an almost ready wallpaper for 5.17?

VDG are now discussing just going with that wallpaper, so I guess the idea of a contest is shelved?

Or was it never the intention for this to be a contest choosing the default one?

filipf added a subscriber: filipf.Dec 8 2019, 7:51 PM

This is the wallpaper in question:

Personally I think we have a chance to have more continuity and a story if we don't go with that one instead of the contest way.

As the default is likely to go in Kubuntu 20.04 LTS when we release in April, the idea of another contest sounds preferable here.

Personally I think we have a chance to have more continuity and a story if we don't go with that one instead of the contest way.

I agree with continuity, but please consider that:

  1. We got a pretty good continuity with the last contest

The last wallpaper we selected was quite in plasma fashion. If we make clear that the contest is much more likely to select a wallpaper that follows our style, the proposals will resemble that.

  1. Continuity within Ken Vermette was not always as strong as the above one, just see these wallpapers:

What I'd like to see, though is a change of style and embracing of strong continuity in Plasma 6. We could contact the artist who made the Landing wallpaper and ask him make more for future Plasma 6 versions. He only took ~20 days for Landing, so it should be feasible, and it would create a strong continuity.

I've been pinged in the Promo chan about creating a new sub-forum for this contest -- I don't know how to do this, sorry.

niccolove updated the task description. (Show Details)Dec 11 2019, 8:38 PM
niccolove updated the task description. (Show Details)Dec 11 2019, 9:32 PM

I think Sysadmin needs to do that.

However we need to get our ducks in a row and come up with the promo text and guidelines first.

paulb updated the task description. (Show Details)Dec 14 2019, 11:14 AM
paulb removed a project: KDE Promo.
paulb updated the task description. (Show Details)
paulb added a comment.EditedDec 14 2019, 11:24 AM

Here are the rules for the last wallpaper competition:

  1. The design of your wallpaper must be original and created specifically for the contest
  2. The design of your wallpaper must be released to KDE under a copyleft license (CC By, CC By-SA), or released into the public domain or equivalent (CC0)
  3. Even if your work is not picked as the default wallpaper, your submission may still be included in Plasma 5.16 or used with future releases
  4. You can submit up to 3 entries
  5. Image files must be in PNG format, accompanied by the source files in a non-proprietary format (Inkscape-compatible SVG, blend, kra, xfc, etc.)
  6. The minimum size for your submission must be 4K (3840x2160), although 5K (5120x2880) is preferred. Optionally, a phone-sized (1080x2280) wallpaper for Plasma Mobile can also be submitted
  7. A jury made up of members of KDE's Visual Design Group (VDG) and other KDE community members will decide the winner. There will be only one winning wallpaper and the decision of the jury is final
  8. The organisers will disqualify and erase any entry that is racist, sexist, demeaning or inappropriate in any way. Disqualifications and deletions are final and cannot be recurred
  9. The deadline for submissions is midnight (UTC) on 29/05/2019
paulb added a comment.EditedDec 14 2019, 11:36 AM

Suggested rules for the video competition:

  1. Your video must be original and created specifically for the contest
  2. Your video must be released to KDE under a copyleft license (CC By, CC By-SA), or released into the public domain or equivalent (CC0)
  3. Even if your work is not win, your submission may still be used to promote KDE's software
  4. You can submit up to 3 entries
  5. Videos files must be in [MP4 | WEBM | OGV](which or all of the above?) format, and accompanied by the source files and resources (music, clips, etc.) in a non-proprietary format (kdenlive, blend, etc.) and under a FLOSS license.
  6. The minimum size for your submission must be 1080p (1920x1080) and be maximum 2 minutes long.
  7. A jury made up of members of KDE's Promo team and from Kdenlive project will decide the winner. There will be only one winning movie and the decision of the jury is final
  8. The organisers will disqualify and erase any entry that is racist, sexist, demeaning or inappropriate in any way. Disqualifications and deletions are final and cannot be recurred
  9. The deadline for submissions is midnight (UTC) on XX/XX/20XX

Suggested rules for the video competition:

  1. Even if your work is not win, your submission may still be used to promote KDE's software

Small typo here, should probably be "Even if your work did not win,"

  1. Videos files must be in [MP4 | WEBM | OGV](which or all of the above?) format, and accompanied by the source files and resources (music, clips, etc.) in a non-proprietary format (kdenlive, blend, etc.) and under a FLOSS license.

I think all of them are fine. It's easy to re-encode them if needed.

  1. The minimum size for your submission must be 1080p (1920x1080) and be maximum 2 minutes long.

I would set the maximum length a bit higher, maybe 5 minutes? If someone really puts a lot of effort into a longer video, I personally don't think we should disqualify that.

  1. A jury made up of members of KDE's Promo team and from Kdenlive project will decide the winner. There will be only one winning movie and the decision of the jury is final

Missing "the": "and from *the* Kdenlive project"

Let's hope we get some good submissions!

BTW, Plasma 5.18 is fast approaching. Last time we had a month for submissions and a week for judging. The 5.18 beta is in almost exactly one month, with the final release about three weeks after that. I don't want to finish up at the last minute like we did for 5.16, so if we want to do the wallpaper contest, it needs to start happening ASAP.

paulb updated the task description. (Show Details)Dec 14 2019, 2:39 PM
paulb updated the task description. (Show Details)
paulb added a project: KDE Promo.
paulb updated the task description. (Show Details)Dec 29 2019, 11:37 AM
paulb added a comment.Jan 13 2020, 7:46 PM

The wallpaper contest seems to be cracking along nicely, but we have a problem with video contest: we don't have many submissions for Plasma and none for Applications. We would want to extend the deadline and promote the competition a bit more.

The current dates are: submissions due on midnight (UTC) on January 15th 2020. The winners selected on January 22nd 2020.

What should be the new dated be. I suggest we push back the submissions due date at least until the beginning of February. As we are not insisting the Plasma video be specifically about 5.18, but just a promotional video for Plasma in general, it will not interfere with the release of Plasma 5.18.

Yeah. I'd suggest 20th of February. I'd also officially close the Apps section, as we did not receive any submission at all.

paulb added a comment.Jan 14 2020, 6:53 PM

Nobody opposes, so let's go with the 20th as @niccolove said. I suggest we leave open the Apps section for now, just in case we can convince people to participate